static void *rcs_id = (rcs_id, "$Header: /LocalDeveloper/Source/CVS/OmniGroup/bb/bb/cutoff.c,v 1.3 1994/03/18 00:32:21 bb Exp $");

#include "bb.h"

void cutoff(char *parameter)
{
  char *priority_s;
  int priority_n;

  priority_s = getword(parameter);
  if(*parameter) {
    fprintf(stderr, "unexpected input: '%s'\n", parameter);
    return;
  }
  if (*priority_s == '\0') {
    fprintf(cmdout, "Cutoff priority is at %d.\n", Cutoff_priority);
    return;
  }
  if (sscanf(priority_s, "%d", &priority_n)!=1) {
    fprintf(stderr, "invalid priority %s\n", priority_s);
    return;
  }

  do_connect();
  if(client_cutoff(priority_n)) {
    fprintf(cmdout, "Cutoff priority changed from %d to %d.\n",
	    Cutoff_priority, priority_n);
    Cutoff_priority = priority_n;
  } else {
    fprintf(stderr, "%s\n", client_error);
  }
}
