static void *rcs_id = (rcs_id, "$Header: /LocalDeveloper/Source/CVS/OmniGroup/bb/bb/kill.c,v 1.3 1994/03/18 00:32:45 bb Exp $");

#include "bb.h"

void kill_client(char *parameter)
{
  int slot;
  char *slot_s;
  result_list *users;

  do_connect();
  while(*parameter) {
    slot_s=getword(parameter);
    if(sscanf(slot_s, "%d", &slot) != 1) {
      fprintf(stderr, "invalid slot number %s\n", slot_s);
      return;
    }
    users=client_users();
    if(!client_kill(slot)) {
      fprintf(stderr, "%s\n", client_error);
      return;
    }
    fprintf(cmdout, "killed user %d", slot);
    if(users) {
      user_list_info *user = NULL;
      int i;

      for(i=0; i<users->count; i++) {
	user = (user_list_info *) users->list[i];
	if(user->slot == slot) break;
      }
      if(user && user->slot==slot) {
	fprintf(cmdout, " (idle %d:%02d): <%s> %s",
		user->idle/60, user->idle%60, user->id, user->address);
	if(*user->room) fprintf(cmdout, " (%s)", user->room);
      }
    }
    fprintf(cmdout, "\n");
  }
}
