static void *rcs_id = (rcs_id, "$Header: /LocalDeveloper/Source/CVS/OmniGroup/bb/server/group_priority.c,v 1.2 1993/08/13 03:14:42 kc Exp $");

#include "server.h"

void server_grouppriority(int i)
{
  char group[GROUP_SIZE];
  bb_priority priority;
  group_entry groupinfo;
  user_entry user_info;
  bb_gid gid;

  read_socket_s(Client[i].socket, group, sizeof(group));
  read_socket_int(Client[i].socket, (int *) &priority);
  
  if((gid = get_gid(group))==-1)
    SERVER_ERROR("no such group");
  if(!get_group_entry(&groupinfo, gid))
    SERVER_ERROR("error accessing group information");
  if(!get_user_entry(&user_info, Client[i].uid))
    SERVER_ERROR("error accessing user information");
  user_info.group_priority[gid] = priority - groupinfo.group_offset;
  if(!put_user_entry(Client[i].uid, &user_info))
    SERVER_ERROR("error storing user information");
  update_cached_user_group_info(Client[i].uid, gid);
  write_socket_code(Client[i].socket, SERVER_ACK);
}
