static void *rcs_id = (rcs_id, "$Header: /LocalDeveloper/Source/CVS/OmniGroup/bb/server/message_info.c,v 1.2 1993/08/13 03:15:05 kc Exp $");

#include "server.h"
#include <sys/errno.h>

void server_message_info(int i)
{
    int rid;
    message_entry *message_info;
    int code;
    int message, range_start, range_end;
    summary_list *summary;

    read_socket_int(Client[i].socket, &rid);
    read_socket_int(Client[i].socket, &code);
    read_socket_int(Client[i].socket, &range_start);
    if (code == SERVER_MESSAGE_RANGE)
	read_socket_int(Client[i].socket, &range_end);
    else
	range_end = range_start;
    if (!(summary = get_summary(Client[i].rid)))
	SERVER_ERROR("error accessing room summary");
    for (message = 0;
	 message < summary->count &&
	 summary->list[message].number < range_start;
	 message++);
    while (message < summary->count &&
	   summary->list[message].number <= range_end) {
	message_info = &summary->list[message].header;
	if (!message_info->deleted) {
	    write_socket_code(Client[i].socket, SERVER_ACK);
	    write_socket_int(Client[i].socket, summary->list[message].number);
	    write_socket_int(Client[i].socket, message_info->date);
	    write_socket_int(Client[i].socket, message_info->lines);
	    write_socket_string(Client[i].socket, message_info->poster_id);
	    write_socket_string(Client[i].socket,
				get_id(message_info->poster_uid));
	    write_socket_string(Client[i].socket, message_info->poster_nick);
	    write_socket_string(Client[i].socket, message_info->subject);
	    write_socket_int(Client[i].socket, message_info->expiration);
	}
	message++;
    }
    write_socket_code(Client[i].socket, SERVER_EOF);
}
