static void *rcs_id = (rcs_id, "$Header: /LocalDeveloper/Source/CVS/OmniGroup/bb/server/priority.c,v 1.2 1993/08/13 03:15:18 kc Exp $");

#include "server.h"

void server_priority(int i)
{
  char room[ROOM_SIZE];
  int priority;
  directory_entry room_info;
  bb_rid rid;
  room_user_entry room_user_info;

  read_socket_s(Client[i].socket, room, sizeof(room));
  read_socket_int(Client[i].socket, &priority);
  if((rid=get_rid(room)) == -1)
    SERVER_ERROR("no such room");
  if(!get_directory_entry(&room_info, rid))
    SERVER_ERROR("error accessing room information");
  if(!get_room_user_entry(&room_user_info, rid, Client[i].uid)) {
    room_user_info.last_message_read = 0;
    room_user_info.class = no_class;
    room_user_info.user_offset = DEFAULT_USER_OFFSET;
  }
  priority -= delta_priority(i, room_info.groups);
  room_user_info.user_offset = priority;
  if(!put_room_user_entry(rid, Client[i].uid, &room_user_info))
    SERVER_ERROR("error storing room information");
  write_socket_code(Client[i].socket, SERVER_ACK);
}
