static void *rcs_id = (rcs_id, "$Header: /LocalDeveloper/Source/CVS/OmniGroup/bb/server/remove.c,v 1.2 1993/08/13 03:15:24 kc Exp $");

#include "server.h"
#include <errno.h>

void server_remove(int i)
{
  char room[ROOM_SIZE];
  directory_entry room_info;
  bb_rid rid;

  read_socket_s(Client[i].socket, room, sizeof(room));
  if((rid=get_rid(room))==-1)
    SERVER_ERROR("no such room");
  if(!get_directory_entry(&room_info, rid))
    SERVER_ERROR("error accessing room information");
  if(Client[i].uid != room_info.owner_uid && !Client[i].owner)
    SERVER_ERROR("permission denied");
  if(!remove_room(rid))
    SERVER_ERROR(error_text);
  write_socket_code(Client[i].socket, SERVER_ACK);
}
