static void *rcs_id = (rcs_id, "$Header: /LocalDeveloper/Source/CVS/OmniGroup/bb/server/rename.c,v 1.2 1993/08/13 03:15:26 kc Exp $");

#include "server.h"

void server_rename(int i)
{
  char new_name[ROOM_SIZE];
  directory_entry room_info;

  read_socket_s(Client[i].socket, new_name, sizeof(new_name));
  if(Client[i].rid == -1)
    SERVER_ERROR("no room selected");
  if(get_rid(new_name) != -1)
    SERVER_ERROR("room already exists");
  if(!get_directory_entry(&room_info, Client[i].rid))
    SERVER_ERROR("error accessing room information");
  if(Client[i].uid != room_info.owner_uid && !Client[i].owner)
    SERVER_ERROR("permission denied");
  if(!put_rid(Client[i].rid, new_name))
    SERVER_ERROR("error storing new room name");
  if(!remove_rid(room_info.name))
    SERVER_ERROR("error removing old room name");
  strcpy(room_info.name, new_name);
  if(!put_directory_entry(Client[i].rid, &room_info))
    SERVER_ERROR("error storing updated room information");
  write_socket_code(Client[i].socket, SERVER_ACK);
}
