static void *rcs_id = (rcs_id, "$Header: /LocalDeveloper/Source/CVS/OmniGroup/bb/server/reset.c,v 1.2 1993/08/13 03:15:29 kc Exp $");

#include "server.h"

void server_setcurrent(int i)
{
  int message;

  read_socket_int(Client[i].socket, &message);
  if(Client[i].rid == -1)
    SERVER_ERROR("no room selected");
  if(message < 0) {
    summary_list *summary;
    summary_entry *entry;
    int new, count;

    count = -1 - message;

    if(!(summary = get_summary(Client[i].rid)))
      SERVER_ERROR("error accessing room summary");
    for(new = 0, entry = summary->list + summary->count - 1;
	entry > summary->list && new < count;
	entry--)
      if(!entry->header.deleted) new++;
    message = entry->number;
  }
  update_room_pointer(i, Client[i].rid, message);
  write_socket_code(Client[i].socket, SERVER_ACK);
}
