static void *rcs_id = (rcs_id, "$Header: /LocalDeveloper/Source/CVS/OmniGroup/bb/server/setname.c,v 1.2 1993/08/13 03:15:42 kc Exp $");

#include "server.h"

void server_setname(int i)
{
  char new_name[ID_SIZE];
  user_entry userinfo;

  read_socket_s(Client[i].socket, new_name, sizeof(new_name));
  if(!DAEMON(Client[i].uid)) {
    if(get_uid(new_name) != -1)
      SERVER_ERROR("id already exists");
    if(!get_user_entry(&userinfo, Client[i].uid))
      SERVER_ERROR("error accessing user information");
    if(!put_uid(Client[i].uid, new_name))
      SERVER_ERROR("error storing new id");
    if(!remove_uid(userinfo.id))
      SERVER_ERROR("error removing old id");
    strncpy(userinfo.id, new_name, sizeof(userinfo.id));
    if(!put_user_entry(Client[i].uid, &userinfo))
      SERVER_ERROR("error storing updated user information");
  }
  strncpy(Client[i].id, new_name, sizeof(Client[i].id));
  write_socket_code(Client[i].socket, SERVER_ACK);
}
