#define PROTOCOL_MAJOR 2
#define PROTOCOL_MINOR 4

#define SERVER_ERR 1
#define SERVER_ACK 2
#define SERVER_NAK 3
#define SERVER_EOF 4
#define SERVER_FORWARD 5
#define SERVER_DELETE_ROOM 6
#define SERVER_MESSAGE_SINGLE 7
#define SERVER_MESSAGE_RANGE 8

#define CLIENT_DIED 32
#define CLIENT_SIGNON CLIENT_DIED+1
#define CLIENT_TEST CLIENT_SIGNON+1

#define CLIENT_CHANGECLASS CLIENT_TEST+1
#define CLIENT_CHANGEROOM CLIENT_CHANGECLASS+1
#define CLIENT_CREATE CLIENT_CHANGEROOM+1
#define CLIENT_DELETE CLIENT_CREATE+1
#define CLIENT_DIRECTORY CLIENT_DELETE+1
#define CLIENT_ROOMINFO CLIENT_DIRECTORY+1
#define CLIENT_PRIORITY CLIENT_ROOMINFO+1
#define CLIENT_SHUTDOWN CLIENT_PRIORITY+1
#define CLIENT_USERS CLIENT_SHUTDOWN+1
#define CLIENT_NICK CLIENT_USERS+1
#define CLIENT_PASSWORD CLIENT_NICK+1
#define CLIENT_POST CLIENT_PASSWORD+1
#define CLIENT_READ CLIENT_POST+1
#define CLIENT_REMOVE CLIENT_READ+1
#define CLIENT_SELECT CLIENT_REMOVE+1
#define CLIENT_SIGNOFF CLIENT_SELECT+1
#define CLIENT_SUMMARY CLIENT_SIGNOFF+1
#define CLIENT_LIST CLIENT_SUMMARY+1
#define CLIENT_WHOIS CLIENT_LIST+1
#define CLIENT_GROUPADD CLIENT_WHOIS+1
#define CLIENT_GROUPSUBTRACT CLIENT_GROUPADD+1
#define CLIENT_CUTOFF CLIENT_GROUPSUBTRACT+1
#define CLIENT_GROUPCREATE CLIENT_CUTOFF+1
#define CLIENT_GROUPREMOVE CLIENT_GROUPCREATE+1
#define CLIENT_GROUPCHANGE CLIENT_GROUPREMOVE+1
#define CLIENT_GROUPCHANGECLASS CLIENT_GROUPCHANGE+1
#define CLIENT_PRESERVE CLIENT_GROUPCHANGECLASS+1
#define CLIENT_RENAME CLIENT_PRESERVE+1
#define CLIENT_GROUPPRIORITY CLIENT_RENAME+1
#define CLIENT_SETNAME CLIENT_GROUPPRIORITY+1
#define CLIENT_SETMAIL CLIENT_SETNAME+1
#define CLIENT_SETCURRENT CLIENT_SETMAIL+1
#define CLIENT_KILL CLIENT_SETCURRENT+1
#define CLIENT_UNDELETE CLIENT_KILL+1
#define CLIENT_GROUPDIRECTORY CLIENT_UNDELETE+1
#define CLIENT_GROUPRENAME CLIENT_GROUPDIRECTORY+1
#define CLIENT_SEARCH CLIENT_GROUPRENAME+1
#define CLIENT_CATCHUP CLIENT_SEARCH+1
#define CLIENT_GROUPLIST CLIENT_CATCHUP+1
#define CLIENT_PROTOCOL CLIENT_GROUPLIST+1
#define CLIENT_MESSAGE_NUMBERS CLIENT_PROTOCOL+1
#define CLIENT_MESSAGE_INFO CLIENT_MESSAGE_NUMBERS+1
