static void *rcs_id = (rcs_id, "$Header: /LocalDeveloper/Source/CVS/OmniGroup/bb/server/delete.c,v 1.3 1993/08/13 03:14:23 kc Exp $");

#include "server.h"

void server_delete(int i)
{
    int message;
    message_entry message_info;
    directory_entry room_info;

    read_socket_int(Client[i].socket, &message);
    if (DAEMON(Client[i].uid))
	SERVER_ERROR("permission denied");
    if (!db_get_message_entry(&message_info, Client[i].rid, message))
	SERVER_ERROR("no such message");
    if (Client[i].uid != message_info.poster_uid &&
	!MODERATOR_ACCESS(get_class(i, Client[i].rid)) &&
	!Client[i].owner)
	SERVER_ERROR("permission denied");
    if (Client[i].uid != message_info.poster_uid &&
	!DAEMON(message_info.poster_uid)) {
	char subject[LINE_SIZE];

	sprintf(subject, "%s #%d deleted by <%s> (%d)",
		get_roomname(Client[i].rid), message,
		Client[i].id, Client[i].uid);
	mail_message(Client[i].rid, message,
		     Client[i].uid, message_info.poster_uid, subject);
    }
    message_info.deleted = 1;
    if (!put_message_entry(Client[i].rid, message, &message_info))
	SERVER_ERROR("database error deleting message");
    if (!get_directory_entry(&room_info, Client[i].rid))
	SERVER_ERROR("error accessing room information");
    write_socket_code(Client[i].socket, SERVER_ACK);
    return;
}
