static void *rcs_id = (rcs_id, "$Header: /LocalDeveloper/Source/CVS/OmniGroup/bb/server/group_add.c,v 1.2 1993/08/13 03:14:29 kc Exp $");

#include "server.h"

void server_groupadd(int i)
{
  char group[GROUP_SIZE];
  char room[ROOM_SIZE];
  group_info *groupinfo;
  directory_entry room_info;
  bb_gid gid;
  bb_rid rid;

  read_socket_s(Client[i].socket, group, sizeof(group));
  read_socket_s(Client[i].socket, room, sizeof(room));
  if((gid = get_gid(group))==-1)
    SERVER_ERROR("no such group");
  if((rid = get_rid(room))==-1)
    SERVER_ERROR("no such room");
  if(!(groupinfo = get_group_info(i, gid)))
    SERVER_ERROR("error accessing group/user information");
  if(!WRITE_ACCESS(groupinfo->class) && !Client[i].owner)
    SERVER_ERROR("permission denied");
  if(!get_directory_entry(&room_info, rid))
    SERVER_ERROR("error accessing group information");
  GROUP_SET(gid, &room_info.groups);
  if(!put_directory_entry(rid, &room_info))
    SERVER_ERROR("error storing group information");
  write_socket_code(Client[i].socket, SERVER_ACK);
}
