static void *rcs_id = (rcs_id, "$Header: /LocalDeveloper/Source/CVS/OmniGroup/bb/server/group_create.c,v 1.2 1993/08/13 03:14:35 kc Exp $");

#include "server.h"

void server_groupcreate(int i)
{
  char group[GROUP_SIZE];
  bb_gid gid;
  group_entry group_info;
  user_entry user_info;

  read_socket_s(Client[i].socket, group, sizeof(group));
  if(get_gid(group)!=-1)
    SERVER_ERROR("group already exists");
  if(!Client[i].owner)
    SERVER_ERROR("permission denied");
  gid = add_gid(group);
  strcpy(group_info.name, group);
  group_info.owner = Client[i].uid;
  group_info.default_class = DEFAULT_GROUP_CLASS;
  group_info.group_offset = DEFAULT_GROUP_OFFSET;
  group_info.max_expiration = MAX_EXPIRATION;
  if(!put_group_entry(gid, &group_info))
    SERVER_ERROR("error storing group information");
  if(!get_user_entry(&user_info, Client[i].uid))
    SERVER_ERROR("error accessing user information");
  user_info.group_class[gid] = moderator;
  if(!(put_user_entry(Client[i].uid, &user_info)))
    SERVER_ERROR("error storing user information");
  update_cached_user_group_info(Client[i].uid, gid);
  write_socket_code(Client[i].socket, SERVER_ACK);
}
