static void *rcs_id = (rcs_id, "$Header: /LocalDeveloper/Source/CVS/OmniGroup/bb/server/kill.c,v 1.2 1993/08/13 03:14:54 kc Exp $");

#include "server.h"

void server_kill(int i)
{
  int slot;

  read_socket_int(Client[i].socket, &slot);
  if(slot < 0 || slot >= MAX_CLIENTS)
    SERVER_ERROR("slot number out of range");
  if(!Client[slot].signed_on)
    SERVER_ERROR("no user signed on in that slot");
  if(Client[i].uid != Client[slot].uid && !OPERATOR(Client[i].uid))
    SERVER_ERROR("permission denied");
  close_client(slot);
  if(i != slot) write_socket_code(Client[i].socket, SERVER_ACK);
}
