static void *rcs_id = (rcs_id, "$Header: /LocalDeveloper/Source/CVS/OmniGroup/bb/server/list.c,v 1.3 1993/08/13 03:15:00 kc Exp $");

#include "server.h"

void server_list(int i)
{
  room_user_entry room_user_info;
  directory_entry room_info;
  bb_uid uid;
  const char *id;

  if(!get_directory_entry(&room_info, Client[i].rid))
    SERVER_ERROR("error accessing room information");
  for(uid = 0; uid <= Last_uid; uid++) {
    if(uid == Client[i].uid)
      id = Client[i].id;
    else
      id = get_id(uid);
    if(get_room_user_entry(&room_user_info, Client[i].rid, uid) &&
       room_user_info.class != no_class) {
      write_socket_code(Client[i].socket, SERVER_ACK);
      write_socket_string(Client[i].socket, id);
      write_socket_int(Client[i].socket, room_user_info.last_message_read);
      write_socket_int(Client[i].socket, room_user_info.user_offset);
      write_socket_int(Client[i].socket, room_user_info.class);
    }
  }
  write_socket_code(Client[i].socket, SERVER_EOF);
}
