static void *rcs_id = (rcs_id, "$Header: /LocalDeveloper/Source/CVS/OmniGroup/bb/server/passwd.c,v 1.2 1993/08/13 03:15:11 kc Exp $");

#include "server.h"

void server_passwd(int i)
{
  user_entry user_info;
  char passwd[10], saltc[2];
  time_t salt;
  int c, j;

  read_socket_s(Client[i].socket, passwd, sizeof(passwd));
  if(DAEMON(Client[i].uid))
    SERVER_ERROR("permission denied");
  if(!get_user_entry(&user_info, Client[i].uid))
    SERVER_ERROR("error accessing user information");
  time(&salt);
  saltc[0] = salt & 077;
  saltc[1] = (salt>>6) & 077;
  for(j=0; j<2; j++) {
    c = saltc[j] + '.';
    if(c > '9') c += 7;
    if(c > 'Z') c += 6;
    saltc[j] = c;
  }
  strcpy(user_info.passwd, (char *) crypt(passwd, saltc));
  if(!put_user_entry(Client[i].uid, &user_info))
    SERVER_ERROR("error storing user information");
  write_socket_code(Client[i].socket, SERVER_ACK);
  return;
}
